OGRE: Ogre::UnlitProperty Struct Reference

| OGRE 2.2.4 Object-Oriented Graphics Rendering Engine

Classes | Static Public Attributes | List of all members
Ogre::UnlitProperty Struct Reference

`#include <OgreUnlitProperty.h>`

## Classes
struct | DiffuseMapPtr

## Static Public Attributes
static const IdString | AnimationMatricesPerBuffer
static const IdString | BlendModeIndex0
static const IdString | BlendModeIndex1
static const IdString | BlendModeIndex10
static const IdString | BlendModeIndex11
static const IdString | BlendModeIndex12
static const IdString | BlendModeIndex13
static const IdString | BlendModeIndex14
static const IdString | BlendModeIndex15
static const IdString | BlendModeIndex2
static const IdString | BlendModeIndex3
static const IdString | BlendModeIndex4
static const IdString | BlendModeIndex5
static const IdString | BlendModeIndex6
static const IdString | BlendModeIndex7
static const IdString | BlendModeIndex8
static const IdString | BlendModeIndex9
static const IdString | Diffuse
| Whether uses material's colour. More...
static const IdString | DiffuseMap
| Number of diffuse maps. More...
static const DiffuseMapPtr | DiffuseMapPtrs [NUM_UNLIT_TEXTURE_TYPES]
static const IdString | ExponentialShadowMaps
static const IdString | HasPlanarReflections
static const IdString | HwGammaRead
static const IdString | HwGammaWrite
static const IdString | MaterialsPerBuffer
static const IdString | NumArrayTextures
| Number of texture arrays actually baked. More...
static const IdString | NumSamplers
static const IdString | NumTextures
static const IdString | OutUvCount
static const IdString | OutUvHalfCount
static const IdString | SamplerUnitSlotStart
static const IdString | SignedIntTex
static const IdString | TexMatrixCount
static const IdString | TexMatrixCount0
static const IdString | TexMatrixCount1
static const IdString | TexMatrixCount2
static const IdString | TexMatrixCount3
static const IdString | TexMatrixCount4
static const IdString | TexMatrixCount5
static const IdString | TexMatrixCount6
static const IdString | TexMatrixCount7
static const IdString | TextureMatrix
static const IdString | UvDiffuse0
| UV source # assigned to each texture. More...
static const IdString | UvDiffuse1
static const IdString | UvDiffuse10
static const IdString | UvDiffuse11
static const IdString | UvDiffuse12
static const IdString | UvDiffuse13
static const IdString | UvDiffuse14
static const IdString | UvDiffuse15
static const IdString | UvDiffuse2
static const IdString | UvDiffuse3
static const IdString | UvDiffuse4
static const IdString | UvDiffuse5
static const IdString | UvDiffuse6
static const IdString | UvDiffuse7
static const IdString | UvDiffuse8
static const IdString | UvDiffuse9
static const IdString | UvDiffuseSwizzle0
static const IdString | UvDiffuseSwizzle1
static const IdString | UvDiffuseSwizzle10
static const IdString | UvDiffuseSwizzle11
static const IdString | UvDiffuseSwizzle12
static const IdString | UvDiffuseSwizzle13
static const IdString | UvDiffuseSwizzle14
static const IdString | UvDiffuseSwizzle15
static const IdString | UvDiffuseSwizzle2
static const IdString | UvDiffuseSwizzle3
static const IdString | UvDiffuseSwizzle4
static const IdString | UvDiffuseSwizzle5
static const IdString | UvDiffuseSwizzle6
static const IdString | UvDiffuseSwizzle7
static const IdString | UvDiffuseSwizzle8
static const IdString | UvDiffuseSwizzle9

## Member Data Documentation

## ◆ AnimationMatricesPerBuffer

const IdString Ogre::UnlitProperty::AnimationMatricesPerBuffer
| static

## ◆ BlendModeIndex0

const IdString Ogre::UnlitProperty::BlendModeIndex0
| static

## ◆ BlendModeIndex1

const IdString Ogre::UnlitProperty::BlendModeIndex1
| static

## ◆ BlendModeIndex10

const IdString Ogre::UnlitProperty::BlendModeIndex10
| static

## ◆ BlendModeIndex11

const IdString Ogre::UnlitProperty::BlendModeIndex11
| static

## ◆ BlendModeIndex12

const IdString Ogre::UnlitProperty::BlendModeIndex12
| static

## ◆ BlendModeIndex13

const IdString Ogre::UnlitProperty::BlendModeIndex13
| static

## ◆ BlendModeIndex14

const IdString Ogre::UnlitProperty::BlendModeIndex14
| static

## ◆ BlendModeIndex15

const IdString Ogre::UnlitProperty::BlendModeIndex15
| static

## ◆ BlendModeIndex2

const IdString Ogre::UnlitProperty::BlendModeIndex2
| static

## ◆ BlendModeIndex3

const IdString Ogre::UnlitProperty::BlendModeIndex3
| static

## ◆ BlendModeIndex4

const IdString Ogre::UnlitProperty::BlendModeIndex4
| static

## ◆ BlendModeIndex5

const IdString Ogre::UnlitProperty::BlendModeIndex5
| static

## ◆ BlendModeIndex6

const IdString Ogre::UnlitProperty::BlendModeIndex6
| static

## ◆ BlendModeIndex7

const IdString Ogre::UnlitProperty::BlendModeIndex7
| static

## ◆ BlendModeIndex8

const IdString Ogre::UnlitProperty::BlendModeIndex8
| static

## ◆ BlendModeIndex9

const IdString Ogre::UnlitProperty::BlendModeIndex9
| static

## ◆ Diffuse

const IdString Ogre::UnlitProperty::Diffuse
| static

Whether uses material's colour.

## ◆ DiffuseMap

const IdString Ogre::UnlitProperty::DiffuseMap
| static

Number of diffuse maps.

## ◆ DiffuseMapPtrs

const DiffuseMapPtr Ogre::UnlitProperty::DiffuseMapPtrs[NUM_UNLIT_TEXTURE_TYPES]
| static

## ◆ ExponentialShadowMaps

const IdString Ogre::UnlitProperty::ExponentialShadowMaps
| static

## ◆ HasPlanarReflections

const IdString Ogre::UnlitProperty::HasPlanarReflections
| static

## ◆ HwGammaRead

const IdString Ogre::UnlitProperty::HwGammaRead
| static

## ◆ HwGammaWrite

const IdString Ogre::UnlitProperty::HwGammaWrite
| static

## ◆ MaterialsPerBuffer

const IdString Ogre::UnlitProperty::MaterialsPerBuffer
| static

## ◆ NumArrayTextures

const IdString Ogre::UnlitProperty::NumArrayTextures
| static

Number of texture arrays actually baked.

## ◆ NumSamplers

const IdString Ogre::UnlitProperty::NumSamplers
| static

## ◆ NumTextures

const IdString Ogre::UnlitProperty::NumTextures
| static

## ◆ OutUvCount

const IdString Ogre::UnlitProperty::OutUvCount
| static

## ◆ OutUvHalfCount

const IdString Ogre::UnlitProperty::OutUvHalfCount
| static

## ◆ SamplerUnitSlotStart

const IdString Ogre::UnlitProperty::SamplerUnitSlotStart
| static

## ◆ SignedIntTex

const IdString Ogre::UnlitProperty::SignedIntTex
| static

## ◆ TexMatrixCount

const IdString Ogre::UnlitProperty::TexMatrixCount
| static

## ◆ TexMatrixCount0

const IdString Ogre::UnlitProperty::TexMatrixCount0
| static

## ◆ TexMatrixCount1

const IdString Ogre::UnlitProperty::TexMatrixCount1
| static

## ◆ TexMatrixCount2

const IdString Ogre::UnlitProperty::TexMatrixCount2
| static

## ◆ TexMatrixCount3

const IdString Ogre::UnlitProperty::TexMatrixCount3
| static

## ◆ TexMatrixCount4

const IdString Ogre::UnlitProperty::TexMatrixCount4
| static

## ◆ TexMatrixCount5

const IdString Ogre::UnlitProperty::TexMatrixCount5
| static

## ◆ TexMatrixCount6

const IdString Ogre::UnlitProperty::TexMatrixCount6
| static

## ◆ TexMatrixCount7

const IdString Ogre::UnlitProperty::TexMatrixCount7
| static

## ◆ TextureMatrix

const IdString Ogre::UnlitProperty::TextureMatrix
| static

## ◆ UvDiffuse0

const IdString Ogre::UnlitProperty::UvDiffuse0
| static

UV source # assigned to each texture.

## ◆ UvDiffuse1

const IdString Ogre::UnlitProperty::UvDiffuse1
| static

## ◆ UvDiffuse10

const IdString Ogre::UnlitProperty::UvDiffuse10
| static

## ◆ UvDiffuse11

const IdString Ogre::UnlitProperty::UvDiffuse11
| static

## ◆ UvDiffuse12

const IdString Ogre::UnlitProperty::UvDiffuse12
| static

## ◆ UvDiffuse13

const IdString Ogre::UnlitProperty::UvDiffuse13
| static

## ◆ UvDiffuse14

const IdString Ogre::UnlitProperty::UvDiffuse14
| static

## ◆ UvDiffuse15

const IdString Ogre::UnlitProperty::UvDiffuse15
| static

## ◆ UvDiffuse2

const IdString Ogre::UnlitProperty::UvDiffuse2
| static

## ◆ UvDiffuse3

const IdString Ogre::UnlitProperty::UvDiffuse3
| static

## ◆ UvDiffuse4

const IdString Ogre::UnlitProperty::UvDiffuse4
| static

## ◆ UvDiffuse5

const IdString Ogre::UnlitProperty::UvDiffuse5
| static

## ◆ UvDiffuse6

const IdString Ogre::UnlitProperty::UvDiffuse6
| static

## ◆ UvDiffuse7

const IdString Ogre::UnlitProperty::UvDiffuse7
| static

## ◆ UvDiffuse8

const IdString Ogre::UnlitProperty::UvDiffuse8
| static

## ◆ UvDiffuse9

const IdString Ogre::UnlitProperty::UvDiffuse9
| static

## ◆ UvDiffuseSwizzle0

const IdString Ogre::UnlitProperty::UvDiffuseSwizzle0
| static

## ◆ UvDiffuseSwizzle1

const IdString Ogre::UnlitProperty::UvDiffuseSwizzle1
| static

## ◆ UvDiffuseSwizzle10

const IdString Ogre::UnlitProperty::UvDiffuseSwizzle10
| static

## ◆ UvDiffuseSwizzle11

const IdString Ogre::UnlitProperty::UvDiffuseSwizzle11
| static

## ◆ UvDiffuseSwizzle12

const IdString Ogre::UnlitProperty::UvDiffuseSwizzle12
| static

## ◆ UvDiffuseSwizzle13

const IdString Ogre::UnlitProperty::UvDiffuseSwizzle13
| static

## ◆ UvDiffuseSwizzle14

const IdString Ogre::UnlitProperty::UvDiffuseSwizzle14
| static

## ◆ UvDiffuseSwizzle15

const IdString Ogre::UnlitProperty::UvDiffuseSwizzle15
| static

## ◆ UvDiffuseSwizzle2

const IdString Ogre::UnlitProperty::UvDiffuseSwizzle2
| static

## ◆ UvDiffuseSwizzle3

const IdString Ogre::UnlitProperty::UvDiffuseSwizzle3
| static

## ◆ UvDiffuseSwizzle4

const IdString Ogre::UnlitProperty::UvDiffuseSwizzle4
| static

## ◆ UvDiffuseSwizzle5

const IdString Ogre::UnlitProperty::UvDiffuseSwizzle5
| static

## ◆ UvDiffuseSwizzle6

const IdString Ogre::UnlitProperty::UvDiffuseSwizzle6
| static

## ◆ UvDiffuseSwizzle7

const IdString Ogre::UnlitProperty::UvDiffuseSwizzle7
| static

## ◆ UvDiffuseSwizzle8

const IdString Ogre::UnlitProperty::UvDiffuseSwizzle8
| static

## ◆ UvDiffuseSwizzle9

const IdString Ogre::UnlitProperty::UvDiffuseSwizzle9
| static

The documentation for this struct was generated from the following file:

- OgreUnlitProperty.h